------------------
-- DEATH KNIGHT --
------------------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "DEATHKNIGHT") then
    return;
end

--[[

-- generic spells
Watcher:AddIcon("Army of the Dead", 42650);
Watcher:AddIcon("Blood Tap", 45529);
Watcher:AddIcon("Blood Charge", 114851);
Watcher:AddIcon("Blood Plague", 55078);
Watcher:AddIcon("Death Coil", 47541);
Watcher:AddIcon("Death and Decay", 43265);
Watcher:AddIcon("Death Strike", 49998);
Watcher:AddIcon("Empower Rune Weapon", 47568);
Watcher:AddIcon("Festering Strike", 85948);
Watcher:AddIcon("Frost Fever", 55095);
Watcher:AddIcon("Horn of Winter", 57330);
Watcher:AddIcon("Icy Touch", 45477);
Watcher:AddIcon("Outbreak", 77575);
Watcher:AddIcon("Plague Strike", 45462);
Watcher:AddIcon("Rune Strike", 56815);
Watcher:AddIcon("Rune Tap", 48982);
Watcher:AddIcon("Symbiosis", 110498);
Watcher:AddIcon("Soul Reaper", 130736);

-- talented spells and procs
Watcher:AddIcon("Bone Shield", 49222);
Watcher:AddIcon("Dancing Rune Weapon", 49028);
Watcher:AddIcon("Dark Transformation", 63560);
Watcher:AddIcon("Death Pact", 48743);
Watcher:AddIcon("Death Siphon", 108196);
Watcher:AddIcon("Festering Strike", 85948);
Watcher:AddIcon("Freezing Fog", 59052);
Watcher:AddIcon("Frost Strike", 49143);
Watcher:AddIcon("Heart Strike", 55050);
Watcher:AddIcon("Howling Blast", 49184);
Watcher:AddIcon("Killing Machine", 51128);
Watcher:AddIcon("Lichborne", 49039);
Watcher:AddIcon("Obliterate", 49020);
Watcher:AddIcon("Pillar of Frost", 51271);
Watcher:AddIcon("Scent of Blood", 49509);
Watcher:AddIcon("Scourge Strike", 55090);
Watcher:AddIcon("Sudden Doom", 49530);
Watcher:AddIcon("Summon Gargoyle", 49206);
Watcher:AddIcon("Unholy Blight", 115989);
Watcher:AddIcon("Unholy Frenzy", 49016);
Watcher:AddIcon("Vampiric Blood", 55233);

-- glyphs
Watcher:AddIcon("Glyph of Army of the Dead", 58669);
Watcher:AddIcon("Glyph of Dancing Rune Weapon", 63330);
Watcher:AddIcon("Glyph of Dark Succor", 96279);
Watcher:AddIcon("Glyph of Death and Decay", 58629);
Watcher:AddIcon("Glyph of Death Coil", 63333);
Watcher:AddIcon("Glyph of Death's Embrace", 58677);
Watcher:AddIcon("Glyph of Enduring Infection", 58671);
Watcher:AddIcon("Glyph of Foul Menagerie", 58642);
Watcher:AddIcon("Glyph of Horn of Winter", 58680);
Watcher:AddIcon("Glyph of Icy Touch", 58631);
Watcher:AddIcon("Glyph of Outbreak", 59332);
Watcher:AddIcon("Glyph of Pestilence", 58657);
Watcher:AddIcon("Glyph of Pillar of Frost", 58635);
Watcher:AddIcon("Glyph of Unholy Frenzy", 58616);
Watcher:AddIcon("Glyph of Vampiric Blood", 58676);

function Watcher:AddClassSpells()
    Watcher:Direct("Army of the Dead");
    Watcher:Direct("Dancing Rune Weapon");
    Watcher:Direct("Dark Transformation");
    Watcher:Direct("Death and Decay");
    Watcher:Direct("Death Pact");
    Watcher:Direct("Death Siphon");
    Watcher:Direct("Death Strike");
    Watcher:Direct("Empower Rune Weapon");
    Watcher:Direct("Festering Strike");
    Watcher:Direct("Heart Strike");
    Watcher:Direct("Pillar of Frost");
    Watcher:Direct("Rune Strike");
    Watcher:Direct("Rune Tap");
    Watcher:Direct("Scourge Strike");
    Watcher:Direct("Summon Gargoyle");
    Watcher:Direct("Unholy Frenzy");
    Watcher:Buff("Bone Shield", "Bone Shield", true);
    Watcher:Buff("Horn of Winter", "Horn of Winter", true);
    Watcher:Proc("Blood Charge", "Blood Tap", 5);
    Watcher:Proc("Scent of Blood", "Death Strike", 5);
    Watcher:Proc("Sudden Doom", "Death Coil");
    Watcher:Proc("Freezing Fog", "Howling Blast");
    Watcher:Proc("Killing Machine", "Obliterate");
    Watcher:Apply("Frost Fever", "Icy Touch", 0, 0, true, true);
    Watcher:Apply("Blood Plague", "Plague Strike", 0, 0, true, true);
    Watcher:Apply("Frost Fever", "Outbreak", 0, 0, true, true);
    Watcher:HealthThreshold(35, false, "Soul Reaper");
end

--]]